<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EContactManagementMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EContactManagement">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="contactName" column="contact_name" jdbcType="VARCHAR"/>
            <result property="contactGender" column="contact_gender" jdbcType="VARCHAR"/>
            <result property="contactBirthday" column="contact_birthday" jdbcType="DATE"/>
            <result property="contactMobile" column="contact_mobile" jdbcType="VARCHAR"/>
            <result property="contactPhone" column="contact_phone" jdbcType="VARCHAR"/>
            <result property="contactEmail" column="contact_email" jdbcType="VARCHAR"/>
            <result property="contactTitle" column="contact_title" jdbcType="VARCHAR"/>
            <result property="contactDepartment" column="contact_department" jdbcType="VARCHAR"/>
            <result property="company" column="company" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,contact_name,contact_gender,
        contact_birthday,contact_mobile,contact_phone,
        contact_email,contact_title,contact_department,
        company,create_time,create_by,
        update_time,update_by
    </sql>
</mapper>
